DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# repl-substring-list-repl

## Name

repl-substring-list-repl -- Return the replacement that would be used in the string

## Synopsis

    (repl-substring-list-repl string replace-list pos)

## Description

Returns the replacement in `replace-list` that would be used for the target that matches in `string` at `pos` See also `repl-substring-list?`.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (repl-substring-list-repl string replace-list pos)
      ;; Return the replacement that would be used in the string
      (let loop ((list replace-list))
        (let ((target (car list))
    	  (repl   (car (cdr list)))
    	  (rest   (cdr (cdr list))))
          (if (repl-substring? string target pos)
    	  repl
    	  (if (null? rest)
    	      #f
    	      (loop rest))))))

Prev | Home | Next
repl-substring-list-target | Up | repl-substring-list